=== debian/changelog ===
x265 (1.6-1) unstable; urgency=medium

  * New upstream release.
  * SONAME bump: libx265-43 -> libx265-51.
  * debian/patches:
    - compile-flags.patch: Refreshed.
    - workaround-partial-SIMD-support.patch, hide-internal-symbol.patch:
      Removed, no longer needed.
  * debian/control: Add libnuma-dev to B-D to build with libnuma support.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 07 Apr 2015 23:09:39 +0200
