=== debian/changelog ===
x265 (1.7-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 03 Sep 2015 13:00:50 +0000

x265 (1.7-4) unstable; urgency=low

  [ Thorsten Glaser ]
  * Fix building on x32 (without asm, for now) (Closes: #792272)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 19 Jul 2015 13:19:23 +0200

x265 (1.7-3) unstable; urgency=medium

  * debian/rules: Filter -Wl,-Bsymbolic-functions. (Closes: #789111)
  * debian/patches/gcc-check.patch: Apply upstream fix to gcc feature
    detection.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 19 Jun 2015 15:36:04 +0200

x265 (1.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 May 2015 14:54:14 +0200

x265 (1.7-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libx265-51 -> libx265-59.
  * debian/patches:
    - compile-flags.patch: Refreshed.
    - highbit-depth-path.patch: Use correct path to lookup 10-bit library.
  * Remove x265-10bit wrapper script. x265 now supports loading the encoder
    for a different bit depth itself.
    - debian/{rules,x265.install,x265.manpages}: Do not build and install
      x265-10bit wrapper script.
    - debian/x26510bit.{in,1}: Removed.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 21 May 2015 22:40:21 +0200
