=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libx265-51 (= ${binary:Version})
+ libx265-59 (= ${binary:Version})
 Suggests:
  libx265-doc
 Description: H.265/HEVC video stream encoder (development files)
@@ -53,7 +53,7 @@
  This is the development package which contains headers and libraries for
  libx265.
 
-Package: libx265-51
+Package: libx265-59
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -61,21 +61,21 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
- libx265-51-dbg
+ libx265-59-dbg
 Description: H.265/HEVC video stream encoder (shared library)
  libx265 is an encoding library for creating H.265/High Efficency Video Coding
  (HEVC) video streams.
  .
  This package contains the shared library.
 
-Package: libx265-51-dbg
+Package: libx265-59-dbg
 Priority: extra
 Section: debug
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libx265-51 (= ${binary:Version})
+ libx265-59 (= ${binary:Version})
 Description: H.265/HEVC video stream encoder (debugging symbols)
  libx265 is an encoding library for creating H.265/High Efficency Video Coding
  (HEVC) video streams.
