=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #! /usr/bin/make -f
 
+DEB_HOST_MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
-# LFS support
-export DEB_CPPFLAGS_MAINT_APPEND=$(shell getconf LFS_CFLAGS)
-
-DEB_HOST_MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# see #789111
+export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
+# LFS support and multiarch path to look up 10bit library
+export DEB_CPPFLAGS_MAINT_APPEND=$(shell getconf LFS_CFLAGS) \
+	-DDEB_HOST_MULTIARCH=\"/usr/lib/$(DEB_HOST_MULTIARCH)/\"
 
 %:
 	dh $@ --parallel --buildsystem=cmake \
@@ -33,9 +36,6 @@
 override_dh_auto_install-arch:
 	dh_auto_install --builddirectory=x265-10bit
 	dh_auto_install
-	sed -e 's,@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH),' \
-		debian/x265-10bit.in > debian/tmp/usr/bin/x265-10bit
-	chmod a+x debian/tmp/usr/bin/x265-10bit
 
 override_dh_auto_build-indep:
 	$(MAKE) -C doc/reST html
@@ -45,5 +45,5 @@
 	dh_sphinxdoc
 
 override_dh_strip:
-	dh_strip -plibx265-51 --dbg-package=libx265-51-dbg
+	dh_strip -plibx265-59 --dbg-package=libx265-59-dbg
 	dh_strip --remaining-packages
