=== debian/changelog ===
x265 (1.8-6) unstable; urgency=medium

  * Move to automatic debug symbol packages.
    - debian/control:
      + B-D on debhelper >= 9.20151219
      + Remove libx265-68-dbg.
    - debian/rules: Run dh_strip with --ddeb-migration.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Dec 2015 20:36:53 +0100

x265 (1.8-5) unstable; urgency=medium

  * debian/rules: Do not configure, test and install arch bits when building
    indep. (Closes: #806877)
  * debian/control: Enable numa support on mips64 and mipsel64. (Closes:
    #806712)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 Dec 2015 17:58:53 +0100

x265 (1.8-4) unstable; urgency=medium

  * debian/rules: Merge static libraries once cmake is done with them.
    (Closes: #804376)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Nov 2015 14:34:44 +0100

x265 (1.8-3) unstable; urgency=medium

  * debian/patches
    - fix-linking-with-dl.patch: Fix linking with dl. (Closes: #802093)
    - fix-version-info.patch: Fix version info. (Closes: #802092)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 20 Oct 2015 20:59:03 +0200

x265 (1.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Oct 2015 19:35:36 +0200

x265 (1.8-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libx265-59 -> libx265-68.
  * Create multilib build as recommended upstream:
    - debian/rules: Build static versions of 10 bit and 12 bit builds and link
      them into the 8 bit build.
    - debian/patches/highbit-depth-path.patch: Removed, no longer needed.
    - debian/libx265-*.install: No longer install 10 bit build separately.
  * debian/patches: Refresh patches.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 Oct 2015 01:56:09 +0200
