=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20151219),
  cmake,
- libnuma-dev [amd64 arm64 i386 mips mipsel powerpc ppc64el],
+ libnuma-dev [amd64 arm64 i386 mips mips64 mips64el mipsel powerpc ppc64el],
  yasm (>= 1.2) [any-amd64]
 Build-Depends-Indep:
  python-sphinx
@@ -43,7 +43,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libx265-59 (= ${binary:Version})
+ libx265-68 (= ${binary:Version})
 Suggests:
  libx265-doc
 Description: H.265/HEVC video stream encoder (development files)
@@ -53,34 +53,18 @@
  This is the development package which contains headers and libraries for
  libx265.
 
-Package: libx265-59
+Package: libx265-68
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Suggests:
- libx265-59-dbg
 Description: H.265/HEVC video stream encoder (shared library)
  libx265 is an encoding library for creating H.265/High Efficency Video Coding
  (HEVC) video streams.
  .
  This package contains the shared library.
-
-Package: libx265-59-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends:
- ${misc:Depends},
- libx265-59 (= ${binary:Version})
-Description: H.265/HEVC video stream encoder (debugging symbols)
- libx265 is an encoding library for creating H.265/High Efficency Video Coding
- (HEVC) video streams.
- .
- This package provides the debugging symbols for the shared library.
 
 Package: libx265-doc
 Section: doc
